Bug 425959 - Cannot drive ATI FireGL V5250 anyhow plus fail to install xorg-x11-drv-fglrx
Cannot drive ATI FireGL V5250 anyhow plus fail to install xorg-x11-drv-fglrx
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 08:37 EST by LJ
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 12:29:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (806 bytes, text/plain)
2007-12-20 03:35 EST, LJ
no flags Details
Xorg.0.log (96.85 KB, text/plain)
2007-12-20 03:36 EST, LJ
no flags Details

  None (edit)
Description LJ 2007-12-17 08:37:42 EST
Description of problem:
Cannot drive ATI FireGL V5250 video card anyhow, and the default driver "vesa"
works fine but it is slow and distorts the screen (fetched in the horizontal
direction, since it's a widescreen). 
Tried:
rpm -i http://rpm.livna.org/livna-release-8.rpm
yum install kmod-fglrx

then could not start the X, with error message: cannot find screen 0.

Then tried to install the update from Package Manager:
xorg-x11-drv-fglrx-8.42.3-7.lvn8.1.i386

and failed with an error message several pages long, just paste a head in the below:
package kernel-2.6.23.8-63.fc8.i586 is already installed
file /boot/System.map-2.6.23.8-63.fc8 from install of
kernel-2.6.23.8-63.fc8.i586 conflicts with file from package
kernel-2.6.23.8-63.fc8.i686
file /boot/config-2.6.23.8-63.fc8 from install of kernel-2.6.23.8-63.fc8.i586
conflicts with file from package kernel-2.6.23.8-63.fc8.i686
file /boot/vmlinuz-2.6.23.8-63.fc8 from install of kernel-2.6.23.8-63.fc8.i586
conflicts with file from package kernel-2.6.23.8-63.fc8.i686


Version-Release number of selected component (if applicable):
xorg-x11-drv-fglrx-8.42.3-7.lvn8.1.i386


How reproducible:
Everytime

Steps to Reproduce:
1. Buy a Thinkpad T60p with ATI FireGL V5250
2. Install Fedora 8
3. things happen
  
Actual results:
1. Cannot drive ATI FireGL V5250 video card
2. Fail to install xorg-x11-drv-fglrx-8.42.3-7.lvn8.1.i386

Expected results:
To see my video card actually works

Additional info:
I'm a novice for Linux and just switched from M$ Windows a couple weeks agoThis
is my first time using linux, but I've got a lot installing experience of Linux
(especially Fedora 8), as I've installed it 10 times on my laptop in the last a
couple of weeks. Any comments and suggestions will be greatly appreciated.
Comment 1 Matěj Cepl 2007-12-19 09:51:28 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 LJ 2007-12-20 03:35:26 EST
Created attachment 290134 [details]
xorg.conf
Comment 3 LJ 2007-12-20 03:36:29 EST
Created attachment 290135 [details]
Xorg.0.log
Comment 4 LJ 2007-12-20 03:40:31 EST
Comment on attachment 290135 [details]
Xorg.0.log

This is the only kind of Xorg.*.log file in the directory, so I guess it's x11
autodetected.
Comment 5 Dave Airlie 2008-03-26 20:50:11 EDT
this is an fglrx bug, if you want you can try the F9 beta or F8 + updates which
should support your card with the open source ati radeon driver.
Comment 6 Dave Airlie 2008-03-26 20:50:28 EDT
this is an fglrx bug, if you want you can try the F9 beta or F8 + updates which
should support your card with the open source ati radeon driver.
Comment 7 Matěj Cepl 2008-03-27 12:29:11 EDT
Thanks for the report. We are sorry that we cannot help you with your problem,
but we are not able to support binary-only drivers. If you would be able to
reproduce this issue using only open source software, please, reopen this bug
with the additional information, but in meantime I have no choice than to close
this bug as CANTFIX (because we really cannot fix it).

Note You need to log in before you can comment on or make changes to this bug.